Page MenuHomePhabricator

improve dump documentation
Closed, ResolvedPublic

Description

We need to improve the documentation about accessing the data on Wikidata. The pages that currently exist are https://www.wikidata.org/wiki/Wikidata:Database_download and https://www.wikidata.org/wiki/Wikidata:Data_access. They need to be updated and expanded.

https://developers.google.com/freebase/data and https://musicbrainz.org/doc/MusicBrainz_Database are two examples of how others do this. Not ideal either imho but a start.

Event Timeline

Lydia_Pintscher assigned this task to Lucie.
Lydia_Pintscher raised the priority of this task from to High.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a project: Wikidata.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added subscribers: Lydia_Pintscher, hoo.
Lucie added a comment.Jan 6 2015, 3:02 PM

There is no way of finding this page if you don't know what you are looking for (it's not linked anywhere).

Lucie added a comment.Jan 6 2015, 3:48 PM

I edited both pages. If someone could read through it and improve it, we could close this bug.

Lucie closed this task as Resolved.Jan 8 2015, 11:01 AM
Lucie set Security to None.
hoo reopened this task as Open.EditedJan 11 2015, 6:00 PM

Given that people end up on IRC asking basic questions about the json dumps, I guess we need a bit more here: Link the dump documentation page more prominently (Main page? Sidebar? Footer?) and shortly explain how the dumps look like (json list, one entity per line, entities look like https://www.wikidata.org/wiki/Special:EntityData/Q183.json).

I added a link to the data access page to the main page the other day.

aude added a subscriber: aude.Jan 11 2015, 6:08 PM

am i blind or confused? i don't see a link on https://www.wikidata.org/wiki/Wikidata:Main_Page

first place i would look is http://dumps.wikimedia.org/. if we can add a link there (and some info), would also be great.

There is a link at "Use the data: Find out how to use the data in your tools" - but it could be a more concrete description, I guess.

Lucie added a comment.EditedMar 20 2015, 4:04 PM

I added the link to data access now in the footer as "Data access"

https://github.com/wmde/Wikidata.org/tree/footer-T85407

hoo closed this task as Resolved.Mar 24 2015, 2:15 PM

Guess this is good enough now... if someone has further ideas, feel free to reopen.